| Bsoft 2.0.5 Bernard's software package

Functions
brun_panel.tcl File Reference

Panel to construct and run Bsoft command lines. More...

Go to the source code of this file.

## Functions
| saveCommand filename mode
| fileDialog operation
| constructCommand c f t
| parseUsageLine c f t line
| parseOptionLine c f t line
| parseCommand t cmd
| selectProgram w cmd
| programInterface w cl

## Detailed Description

Panel to construct and run Bsoft command lines.

Author
  Bernard Heymann

Date
  Created: 19990822
  Modified: 20191023

Definition in file brun_panel.tcl.

## Function Documentation

## ◆ constructCommand()

constructCommand |  |  | c f t

Definition at line 55 of file brun_panel.tcl.

## ◆ fileDialog()

fileDialog |  |  | operation

Definition at line 34 of file brun_panel.tcl.

## ◆ parseCommand()

parseCommand |  |  | t cmd

Definition at line 166 of file brun_panel.tcl.

## ◆ parseOptionLine()

parseOptionLine |  |  | c f t line

Definition at line 122 of file brun_panel.tcl.

## ◆ parseUsageLine()

parseUsageLine |  |  | c f t line

Definition at line 88 of file brun_panel.tcl.

## ◆ programInterface()

programInterface |  |  | w cl

Definition at line 268 of file brun_panel.tcl.

## ◆ saveCommand()

saveCommand |  |  | filename mode

Definition at line 18 of file brun_panel.tcl.

## ◆ selectProgram()

selectProgram |  |  | w cmd

Definition at line 196 of file brun_panel.tcl.